$(document).ready( function() {

	%[if %("%id=always_keep_expanded%" == "false")% ]%
	// Hide all subfolders at startup
	$("#%id% .filetree-stack").find("ul").hide();

	// Expand/collapse on click
	$(".filetree-stack-directory a").click( function() {
		$(this).parent().find("ul:first").slideToggle("medium");
		if( $(this).parent().attr('className') == "filetree-stack-directory" ) return false;
	});
	%[endif]%

  %[if %("%id=action%" == "download")% ]%
	$("#%id% a").each(function() {
		var linkhref = $(this).attr('href');
		var index = linkhref.lastIndexOf("/") + 1;
		var filename = linkhref.substr(index);
		$(this).attr('download', filename);
	});
	%[endif]%

  %[if %("%id=action%" == "new_tabs")% ]%
  $('#%id% a').attr('target', '_blank');
	%[endif]%

  %[if %("%id=action%" == "topbox")% ]%
	$('#%id% .filetree-stack-file a').addClass('topbox');

	%[if %("%id=topbox_grouping%" == "each_directory")% ]%
	$('#%id% ul').each(function(i){
    $(this).find('li').each(function(){
      $(this).find('a').attr('data-lightbox-gallery', function() {
        return 'filetree-group-'+(i+1);
      });
    });
  });
	%[endif]%

	%[if %("%id=topbox_grouping%" == "whole_tree")% ]%
	$('#%id% ul li a').attr('data-lightbox-gallery', 'filetree_%id%');
	%[endif]%

	%[if %("%id=topbox_grouping%" == "none")% ]%
	$('#%id% ul li a').removeAttr('data-lightbox-gallery');
	%[endif]%

	%[endif]%

	%[if %("%id=title_tooltips%" == "false")% ]%
	$('#%id% ul li a').removeAttr('title');
	%[endif]%

  // Prevent anchor jump
  $('#%id% a[href="#"]').on('click', function(e) {
    e.preventDefault();
  });

});

%%[[if publish]]%%
// Hide until loaded
$(window).on('load', function(){
  $("#%id%").css('visibility', 'visible');
});
%%[[endif]]%%
